vcs_agents-rhel5_i686-VRTSvcsor-5.0MP4RP1P1

 Basic information
Release type: P-patch
Release date: 2011-08-24
OS update support: None
Technote: None
Documentation: None
Popularity: 334 viewed    13 downloaded
Download size: 3.58 MB
Checksum: 1338828534

 Applies to one or more of the following products:
Cluster Server 5.0MP4 On RHEL5 i686

 Obsolete patches, incompatibilities, superseded patches, or other requirements:

This patch requires: Release date
vcs-rhel5_i686-5.0MP4RP1 2011-05-16

 Fixes the following incidents:
2492602

 Patch ID:
VRTSvcsor-5.0.41.100-MP4RP1P1_RHEL5

Readme file
                          * * * READ ME * * *
         * * * Veritas Cluster Server Agents 5.0 MP4 RP1 * * *
                         * * * P-patch 1 * * *
                         Patch Date: 2011-08-24


This document provides the following information:

   * PATCH NAME
   * PACKAGES AFFECTED BY THE PATCH
   * BASE PRODUCT VERSIONS FOR THE PATCH
   * OPERATING SYSTEMS SUPPORTED BY THE PATCH
   * INCIDENTS FIXED BY THE PATCH
   * INSTALLATION PRE-REQUISITES
   * INSTALLING THE PATCH
   * REMOVING THE PATCH


PATCH NAME
----------
Veritas Cluster Server Agents 5.0 MP4 RP1 P-patch 1


PACKAGES AFFECTED BY THE PATCH
------------------------------
Veritas High Availability Agent for Oracle by Symantec


BASE PRODUCT VERSIONS FOR THE PATCH
-----------------------------------
   * Veritas Cluster Server Agents 5.0 MP4 RP1


OPERATING SYSTEMS SUPPORTED BY THE PATCH
----------------------------------------
RHEL5 i686
RHEL5 x86-64


INCIDENTS FIXED BY THE PATCH
----------------------------
This patch fixes the following Symantec incidents:

Patch ID: 5.0.41.100

* 2492602 (Tracking ID: 2424805)

SYMPTOM:
When the Oracle owner uses CSH shell, Oracle agent fails after an
upgrade to version 5.0MP4RP1(for Linux) or 5.0MP3RP5(for other unices).

DESCRIPTION:
When an user does not specify the EnvFile attribute or does not set the
LD_LIBRARY_PATH variable in the specified EnvFile, the Oracle startup operation
fails. During the startup operation the agent uses the setenv command to set the
LD_LIBRARY_PATH environment variable to the list of library paths consisting of
user-specified and pre-defined values. User-defined values are listed before
pre-defined values. If the user-specified value is not available in the EnvFile,
the agent sets the user-specified value to NULL. However, the setenv command
does not accept NULL as the first value in the list of library paths and hence
the agent fails.

RESOLUTION:
We have moved user-specified values at the end of the library path list.


INSTALLING THE PATCH
--------------------
Prerequisite: The system should have VRTSvcsor 5.0MP4RP1 installed before installation of this package.

To install the package perform the following steps on all nodes in the VCS cluster:

1. Stop VCS:
    # hastop -local -force

2. Install the package by using the following command:

a. Change to the appropriate directory where package is present.

b. Install the rpm:
    # rpm -Uvh VRTSvcsor-5.0.41.100-MP4RP1P1_RHEL5.i686.rpm

3. Verify that the new package is installed:
    # rpm -q VRTSvcsor

    The following output is displayed if the package
    is installed successfully:

    VRTSvcsor-5.0.41.100-MP4RP1P1_RHEL5

4. Restart VCS:
    # hastart

Repeat the procedure on all the nodes in the cluster.


REMOVING THE PATCH
------------------
(Following procedure will remove the VRTSvcsor package entirely. Please reinstall the VRTSvcsor 5.0MP4RP1 package after this procedure.)

Run the following steps on all the nodes in the VCS cluster:

1. Stop VCS:
    # hastop -local -force

2. Uninstall the package by using the following command:
    # rpm -e VRTSvcsor

3. Verify that the new package is removed:
    # rpm -q VRTSvcsor

    The following output is displayed if the package
    is removed successfully:

    package VRTSvcsor is not installed

4. Restart VCS:
    # hastart

Repeat the procedure on all the nodes in the cluster.


SPECIAL INSTRUCTIONS
--------------------
NONE


OTHERS
------
NONE
Read and accept Terms of Service